StandardEngine.AccessLogListener (Apache Tomcat 11.0.5 API Documentation)
Description: declaration: package: org.apache.catalina.core, class: StandardEngine, class: AccessLogListener

# Class StandardEngine.AccessLogListener

java.lang.Object
org.apache.catalina.core.StandardEngine.AccessLogListener

All Implemented Interfaces:
  `PropertyChangeListener`, `EventListener`, `ContainerListener`, `LifecycleListener`

Enclosing class:
  `StandardEngine`

protected static final class StandardEngine.AccessLogListener extends Object implements PropertyChangeListener, LifecycleListener, ContainerListener

Author:
  Craig R. McClanahan

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessLogListener(StandardEngine engine, Host host, Context context)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `containerEvent(ContainerEvent event)`
  Acknowledge the occurrence of the specified event.
  `void`
  `install()`
  `void`
  `lifecycleEvent(LifecycleEvent event)`
  Acknowledge the occurrence of the specified event.
  `void`
  `propertyChange(PropertyChangeEvent evt)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessLogListener

    public AccessLogListener(StandardEngine engine, Host host, Context context)

- ## Method Details

  - ### install

    public void install()

  - ### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)
    Description copied from interface: `LifecycleListener`
    Acknowledge the occurrence of the specified event.
    Specified by:
      `lifecycleEvent` in interface `LifecycleListener`
    Parameters:
      `event` - LifecycleEvent that has occurred

  - ### propertyChange

    public void propertyChange(PropertyChangeEvent evt)
    Specified by:
      `propertyChange` in interface `PropertyChangeListener`

  - ### containerEvent

    public void containerEvent(ContainerEvent event)
    Description copied from interface: `ContainerListener`
    Acknowledge the occurrence of the specified event.
    Specified by:
      `containerEvent` in interface `ContainerListener`
    Parameters:
      `event` - ContainerEvent that has occurred